List Domains
Retrieve all domains the user has access to.
Page to display; valid values are integers >= 1
1
Number of results per page, valid values are 1 through 5000
50
Value to sort by. Defaults to ascending; prepend with - to sort descending.
created_at
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
A query string containing a list of label selector requirements
environment=production
Comma-delimited list of GUIDs to filter by
Comma-delimited list of domain names to filter by
Comma-delimited list of owning organization GUIDs to filter by
OK
{
"pagination": {
"total_results": 0,
"total_pages": 0,
"first": {
"href": "string",
"method": "string"
},
"last": {
"href": "string",
"method": "string"
},
"next": {
"href": "string",
"method": "string"
},
"previous": {
"href": "string",
"method": "string"
}
},
"resources": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"internal": false,
"router_group": {
"guid": "string"
},
"supported_protocols": [
"string"
],
"relationships": {},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"organization": {
"href": "string",
"method": "string"
},
"route_reservations": {
"href": "string",
"method": "string"
},
"shared_organizations": {
"href": "string",
"method": "string"
},
"router_group": {
"href": "string",
"method": "string"
}
}
}
]
}
Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.
A domain is a fully qualified domain name that is used for application routes. A domain can be scoped to an organization, meaning it can be used to create routes for spaces inside that organization, or be left unscoped to allow all organizations access.
Bad Request
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unauthorized
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Forbidden
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Conflict
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unprocessable Entity
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Internal Server Error
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Bad Gateway
{
"code": 0,
"detail": "string",
"title": "string"
}
A numeric code for this error
Detailed description of the error
Name of the error
Service Unavailable
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
curl -H 'Authorization: <value>' https://{api_host}/v3/domains